@import "helpers"

// This needs to match the resourceAreaWidth in the team planner configuration
$op-team-planner-resource-width: 180px

\:host
  display: block
  height: 100%
  overflow: auto


.op-team-planner
  $block: &

  display: grid
  grid-template-columns: auto 1fr
  grid-template-rows: 55px 1fr
  grid-template-areas: ". calendar" "addExisting calendar"
  height: 100%
  overflow: hidden

  &--calendar-pane
    grid-area: calendar
    display: flex
    flex-direction: column
    overflow: hidden

  &--calendar
    overflow: auto

  &--add-existing-pane
    grid-area: addExisting
    width: 264px
    min-width: 264px
    overflow: auto
    margin-right: 10px
    z-index: 2

  &--add-existing-toggle
    position: absolute

  &--view-select-dropdown
    position: absolute
    right: 0

  &--footer
    grid-area: footer
    display: flex
    margin-top: 1rem

  &--add-assignee
    border-right: 1px solid transparent

  &--remove-dropzone
    flex: 1
    border: 1px dashed #0055d4
    box-sizing: border-box
    height: 2.25rem

    display: flex
    align-items: center
    justify-content: center

    &_active
      background: #D1E5F5

    &_forbidden
      border-color: var(--content-form-danger-zone-bg-color)

      #{$block}--dropzone-label
        color: var(--content-form-danger-zone-bg-color)


  &--dropzone-label
    color: #0055d4

  &--no-data
    min-height: 250px
    padding: 2rem
    background-color: #F3F3F3
    display: flex
    flex-direction: column
    justify-content: center
    align-items: center
    border: 1px solid var(--color-border-muted)
    border-top: 0px


  &--empty-state-image
    width: 200px

  &--empty-state-button
    margin: 1rem 0
